# memdump

## SYNOPSIS

memdump [options]

Dump a list of keys from a server.

## DESCRIPTION

memdump dumps a list of "keys" from all servers that it is told to fetch from. Because memcached does not guarantee to provide all keys it is not possible to get a complete "dump".

## OPTIONS

-h|--help

  Display help.

-V|--version

  Display version.

-q|--quiet

  Operate quietly.

-v|--verbose

  Operate more verbosely.

-d|--debug

  See `-v|--verbose`.

-s|--servers <list of servers>

  Specify the list of servers as hostname[:port][,hostname[:port]...].

-n|--non-blocking

  Enable non-blocking operations.

-N|--tcp-nodelay

  Disable Nagle's algorithm.

-b|--binary

  Enable binary protocol.

-B|--buffer

  Buffer requests.

-u|--username <username>

  Use username for SASL authentication.

-p|--password <password>

  Use password for SASL authentication.

-f|--file [<file>]

  Output to file instead of standard output.

  NOTE: defaults to <key> if no argument was provided.

## ENVIRONMENT

MEMCACHED_SERVERS

  Specify a list of servers.

## NOTES

### PROGRAM PREFIX

The prefix of this program is variable, i.e. it can be configured at build time.

Usually the client programs of `libmemcached-awesome` are prefixed with `mem`, like `memcat` or `memcp`.

It can be configured, though, to replace the prefix with something else like `mc`, in case of that, the client programs of `libmemcached-awesome` would be called `mccat`, `mccp`, etc. respectively.

## SEE ALSO

- C/C++ Client Library for memcached

- Dumping data from a server